
INDIR="/home/tiger/xgiga_dumpEmb_proj/embedding"
output="proj_wiki40bln.out"
rm $output
for k in 3
do
    for split in dev
    do
        name="proj_wiki40b${k}_$split"
        echo $name >> $output

        slg=en
        tlg=fr
        command="python3 ../visualizeEmb.py -m visualizeDocEmbPair --system-files /home/tiger/xgiga_dumpEmb_proj/embedding/proj_wiki40b_${k}_${split}_${slg}/document_embedding.jsonl /home/tiger/xgiga_dumpEmb_proj/embedding/proj_wiki40b_${k}_${split}_${tlg}/document_embedding.jsonl -o /opt/tiger/sumtest/clg_graphs_wiki40b_woln/${slg}_${tlg} -n $name"
        echo $command
        $command
    
        slg=en
        tlg=zh
        command="python3 ../visualizeEmb.py -m visualizeDocEmbPair --system-files /home/tiger/xgiga_dumpEmb_proj/embedding/proj_wiki40b_${k}_${split}_${slg}/document_embedding.jsonl /home/tiger/xgiga_dumpEmb_proj/embedding/proj_wiki40b_${k}_${split}_${tlg}/document_embedding.jsonl -o /opt/tiger/sumtest/clg_graphs_wiki40b_woln/${slg}_${tlg} -n $name"
        echo $command
        $command

        # slg=fr
        # tlg=zh
        # command="python3 ../visualizeEmb.py -m visualizeDocEmbPair --system-files /home/tiger/xgiga_dumpEmb_proj/embedding/proj_wiki40b_${k}_${split}_${slg}/document_embedding.jsonl /home/tiger/xgiga_dumpEmb_proj/embedding/proj_wiki40b_${k}_${split}_${tlg}/document_embedding.jsonl -o /opt/tiger/sumtest/clg_graphs_wiki40b_woln/${slg}_${tlg} -n $name"
        # echo $command
        # $command
    done
done
